### POST /valuation/retail/v2 Source: https://apiv2.atlas-reanalytics.com/public/openapi.json Get a valuation for retail premises (property_type is always "premises"). - `cadastre_reference`: The cadastre reference required to calculate the valuation. - `address`: The address required to calculate the valuation. - `size`: The size of the property. - `operation`: The operation to calculate the valuation (buy/rent). - `new_construction`: The property is new construction. - `latitude`: The latitude of the property. - `longitude`: The longitude of the property. - `postal_code`: The postal code of the property. ### Authorization Ensure that the current user is authorized to access this endpoint. ```markdown ### Request Body **Content-Type:** application/json - **cadastre_reference** (string) - **address** (string) - **size** (integer) - **operation** (string (buy|rent)) ("buy"|"rent") - **latitude** (number) - **longitude** (number) - **postal_code** (string) ### Responses #### 200 - Successful Response #### 401 - Unauthorized #### 403 - Forbidden #### 404 - Not found #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (string)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X POST "/public/valuation/retail/v2" \ -H "Content-Type: application/json" \ -d '{ "cadastre_reference": "0863905VK4706D0010LW", "address": "Calle Mayor, 1", "size": 150, "operation": "buy", "latitude": 40.4168, "longitude": -3.7038, "postal_code": "28013" }' ``` ``` -------------------------------- ### GET /comparable/zones/districts Source: https://apiv2.atlas-reanalytics.com/public/openapi.json Get idealista municipalities. - `input_string`: The string to search for in the districts. This endpoint finds all districts that contain **input_string** as a substring. ### Authorization Ensure that the current user is authorized to access this endpoint. ```markdown ### Parameters - **input_string** (string, query, optional) - **limit** (integer, query, optional) - **offset** (integer, query, optional) - **province** (string, query, optional) - **municipality** (string, query, optional) ### Responses #### 200 - Successful Response #### 401 - Unauthorized #### 403 - Forbidden #### 404 - Not found #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (string)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "/public/comparable/zones/districts?input_string=&limit=10&offset=0&province=string&municipality=string" ``` ``` -------------------------------- ### POST /market/pbsa/metrics/provision_rate Source: https://apiv2.atlas-reanalytics.com/public/openapi.json Get the pbsa provision rate overview. - `postal_code`: The postal code for which to obtain residences metrics. - `coordinates`: The coordinates of the polygon to obtain residences metrics. - `pbsa_type`: The pbsa type to obtain residences metrics. This endpoint returns market pbsa provision rate overview for the provided inputs. ### Authorization Ensure that the current user is authorized to access this endpoint. ```markdown ### Request Body **Content-Type:** application/json - **postal_code** (array (string)) (required) - **coordinates** (array (unknown)) - **pbsa_type** (array (string (modern_standard|religious|public|others|student_residences|pipeline))) ### Responses #### 200 - Successful Response - Array of PbsaProvisionRateOutput #### 401 - Unauthorized #### 403 - Forbidden #### 404 - Not found #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (string)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X POST "/public/market/pbsa/metrics/provision_rate" \ -H "Content-Type: application/json" \ -d '{ "postal_code": [ "28001" ], "pbsa_type": [ "modern_standard", "religious", "public", "others", "student_residences", "pipeline" ], "coordinates": [] }' ``` ``` -------------------------------- ### GET /cadastre/v2/street Source: https://apiv2.atlas-reanalytics.com/public/openapi.json Get a list of streets based on the provided input string, province id and municipality id. - `input_string`: The string to search for in the streets. - `province_id`: The id of the province to search in. - `municipality_id`: The id of the municipality to search in. This endpoint finds all streets in the municipality with id equal to **municipality_id** that contain **input_string** as a substring. ### Authorization Ensure that the current user is authorized to access this endpoint. ```markdown ### Parameters - **input_string** (string, query, required) - **province_id** (integer, query, required) - **municipality_id** (integer, query, required) ### Responses #### 200 - Successful Response - Array of StreetOutput #### 401 - Unauthorized #### 403 - Forbidden #### 404 - Not found #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (string)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "/public/cadastre/v2/street?input_string=string&province_id=0&municipality_id=0" ``` ``` -------------------------------- ### POST /market/flex/metrics/general Source: https://apiv2.atlas-reanalytics.com/public/openapi.json Get the flex general metrics of the market. - `postal_code`: The postal code for which to obtain the general metrics. - `bedrooms`: The number of bedrooms. Defaults to [0, 1, 2, 3, "4+"]. - `area`: The area of the property. Defaults to [0, 500]. - `aggregation`: The aggregation type. Defaults to "postal_code". - `coordinates`: The coordinates of the polygon to obtain the general metrics. This endpoint returns market flex general metrics for the provided inputs. ### Authorization Ensure that the current user is authorized to access this endpoint. ```markdown ### Request Body **Content-Type:** application/json - **postal_code** (array (string)) (required) - **bedrooms** (array (string (0|1|2|3|4+))) - **aggregation** (string (postal_code|municipality|polygon)) ("postal_code"|"municipality"|"polygon") - **coordinates** (array (unknown)) - **area** (array (integer)) - **price** (array (integer)) (required) - **price_m2** (array (integer)) (required) - **terrace** (array (integer)) - **electricity** (array (integer)) - **wifi** (array (integer)) - **water** (array (integer)) - **cleaning** (array (integer)) - **heating** (array (integer)) - **swimming_pool** (array (integer)) - **garage** (array (integer)) - **pets_allowed** (array (integer)) - **air_conditioning** (array (integer)) - **lift** (array (integer)) - **type** (string) - **duration** (object) - **midTerm** (boolean) (required) - **shortTerm** (boolean) (required) ### Responses #### 200 - Successful Response - Array of app__schemas__market_schemas__MetricsOutput #### 401 - Unauthorized #### 403 - Forbidden #### 404 - Not found #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (string)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X POST "/public/market/flex/metrics/general" \ -H "Content-Type: application/json" \ -d '{ "postal_code": [ "28001" ], "operation": "buy", "bedrooms": [ "0", "1", "2", "3", "4+" ], "aggregation": "postal_code", "coordinates": [], "price": [ 0, 4900000 ], "price_m2": [ 0, 19000 ] }' ``` ``` -------------------------------- ### GET /cadastre/municipality Source: https://apiv2.atlas-reanalytics.com/public/openapi.json Get a list of municipalities based on the provided input string and province id. - `input_string`: The string to search for in the municipalities. - `province_id`: The id of the province to search in. This endpoint finds all municipalities in the province whit id equal to **province_id** that contain **input_string** as a substring. ### Authorization Ensure that the current user is authorized to access this endpoint. ```markdown ### Parameters - **input_string** (string, query, required) - **province_id** (integer, query, required) ### Responses #### 200 - Successful Response - Array of MunicipalityOutput #### 401 - Unauthorized #### 403 - Forbidden #### 404 - Not found #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (string)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "/public/cadastre/municipality?input_string=string&province_id=0" ``` ``` -------------------------------- ### POST /demand/summary Source: https://apiv2.atlas-reanalytics.com/public/openapi.json Get demand summary for the provided inputs. - `postal_code`: The postal code for which to obtain the demand summary. - `operation`: The operation type. Defaults to "buy". - `property_type`: The property type. Defaults to ["flat", "house"]. - `new_construction`: The new construction filter. Defaults to [0, 1]. - `period`: The period for which to obtain the demand summary. This endpoint returns a demand summary for the provided inputs. ### Authorization Ensure that the current user is authorized to access this endpoint. ```markdown ### Request Body **Content-Type:** application/json - **postal_code** (array (string)) (required) - **operation** (string (buy|rent)) ("buy"|"rent") - **property_type** (array (string (flat|house))) - **new_construction** (array (integer)) - **period** (string (1_month|3_months|6_months|12_months)) (required) ("1_month"|"3_months"|"6_months"|"12_months") ### Responses #### 200 - Successful Response **SummaryOutput** - **price_relative** (object) (required) - **x** (string) (required) - **y** (number) (required) - **price_absolute** (object) (required) - **price_m2_relative** (object) (required) - **price_m2_absolute** (object) (required) - **area_relative** (object) (required) - **area_absolute** (object) (required) - **bedrooms_relative** (object) (required) - **bedrooms_absolute** (object) (required) - **conservation_relative** (object) (required) - **conservation_absolute** (object) (required) #### 401 - Unauthorized #### 403 - Forbidden #### 404 - Not found #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (string)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X POST "/public/demand/summary" \ -H "Content-Type: application/json" \ -d '{ "postal_code": [ "28012" ], "operation": "buy", "property_type": [ "flat", "house" ], "new_construction": [ 0, 1 ], "period": "1_month" }' ``` ``` -------------------------------- ### GET /cadastre/address_info Source: https://apiv2.atlas-reanalytics.com/public/openapi.json Get the address information based on the provided address details. - `province_id`: The id of the province to search in. - `municipality_id`: The id of the municipality to search in. - `street_type`: The type of the street to search in. - `street_name`: The name of the street to search in. - `street_number`: The number of the street to search in. - `block`: The block of the address. - `stair`: The stair of the address. - `floor`: The floor of the address. - `door`: The door of the address. This endpoint finds the address information based on the provided details. ### Authorization Ensure that the current user is authorized to access this endpoint. ```markdown ### Parameters - **province_id** (integer, query, required) - **municipality_id** (integer, query, required) - **street_type** (string, query, required) - **street_name** (string, query, required) - **street_number** (string, query, required) - **block** (string, query, optional) - **stair** (string, query, optional) - **floor** (string, query, optional) - **door** (string, query, optional) ### Responses #### 200 - Successful Response **AddressInfoOutput** - **id** (integer) (required) - **municipality_id** (integer) (required) - **postal_code_cadastre** (string) (required) - **municipality_district** (string) - **province_id** (integer) (required) - **ref_cat** (string) (required) - **street_type** (string) (required) - **street_name** (string) (required) - **street_number** (string) (required) - **stair** (string) - **door** (string) - **block** (string) - **floor** (string) - **build_year** (integer) (required) - **use** (string) - **area_property** (integer) (required) - **area_building** (integer) (required) - **latitude** (number) - **longitude** (number) - **fragua_postal_code** (string) - **fragua_district_name** (string) - **fragua_district_id** (integer) - **sscc** (string) #### 401 - Unauthorized #### 403 - Forbidden #### 404 - Not found #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (string)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "/public/cadastre/address_info?province_id=0&municipality_id=0&street_type=string&street_name=string&street_number=string&block=string&stair=string&floor=string&door=string" ``` ``` -------------------------------- ### GET /market_place/province_list Source: https://apiv2.atlas-reanalytics.com/public/openapi.json API endpoint for GET /market_place/province_list ```markdown ### Responses #### 200 - Successful Response **ProvinceListResponse** - **provinces** (array (string)) (required) ### Example Usage ```bash curl -X GET "/public/market_place/province_list" ``` ``` -------------------------------- ### POST /v3/comparable/portals_data Source: https://apiv2.atlas-reanalytics.com/public/openapi.json Get comparable data for the provided inputs. - `aggregation`: The aggregation level for the data. Defaults to "postal_code". - `input`: The input data for which to obtain the comparable data. - `operation`: The operation type. Defaults to "buy". - `property_type`: The property type. Defaults to ["flat", "house"]. - `new_construction`: The new construction filter. Defaults to [0, 1]. - `date_range`: The date range for which to obtain the comparable data. - `price_range`: The price range for which to obtain the comparable data. - `size_range`: The surface range for which to obtain the comparable data. - `geo_point_radius`: The radius for the geo point aggregation. Defaults to 500. - `bedrooms`: The number of bedrooms for which to obtain the comparable data. - `bathrooms`: The number of bathrooms for which to obtain the comparable data. - `features`: The features for which to obtain the comparable data. - `limit`: The limit for the number of results. Defaults to 10. - `offset`: The offset for the results. Defaults to 0. - `list_ids`: The list of IDs for which to obtain the comparable data. This endpoint returns comparable data for the provided inputs. ### Authorization Ensure that the current user is authorized to access this endpoint. ```markdown ### Request Body **Content-Type:** application/json - **aggregation** (string (postal_code|polygon|geo_point|municipality|province)) (required) ("postal_code"|"polygon"|"geo_point"|"municipality"|"province") - **input** (array (unknown)) (required) - **operation** (string (buy|rent)) (required) ("buy"|"rent") - **date_range** (object) (required): Date range for the API - **start_date** (string (date-time)) - **end_date** (string (date-time)) - **price_range** (object) (required): Price range for the API - **min_price** (integer) - **max_price** (integer) - **size_range** (object) (required): Size range for the API - **min_size** (integer) - **max_size** (integer) - **geo_point_radius** (integer) - **property_type** (array (string (flat|house))) - **new_construction** (array (integer)) - **bedrooms** (array (union)) - **bathrooms** (array (union)) - **features** (array (string (attic|duplex|garage|swimming_pool|storage|terrace|garden|sports|air_conditioning|doorman|equipped_kitchen|furnished|lift|bare_ownership|not_bare_ownership))) - **illegally_occupied** (boolean) - **limit** (integer) - **offset** (integer) - **list_ids** (array (string)) ### Responses #### 200 - Successful Response #### 401 - Unauthorized #### 403 - Forbidden #### 404 - Not found #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (string)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X POST "/public/v3/comparable/portals_data" \ -H "Content-Type: application/json" \ -d '{ "aggregation": "postal_code", "input": [ "19001" ], "operation": "buy", "date_range": { "start_date": "2024-02-07T06:21:36", "end_date": "2026-02-07T06:21:36" }, "price_range": { "min_price": 0, "max_price": 6000000 }, "size_range": { "min_size": 0, "max_size": 500 }, "property_type": [ "flat", "house" ], "new_construction": [ 0, 1 ], "bedrooms": [ 0, 1, 2, 3, "4+" ], "bathrooms": [ 0, 1, 2, 3, "4+" ], "limit": 10, "offset": 0 }' ``` ``` -------------------------------- ### GET /user/api_calls Source: https://apiv2.atlas-reanalytics.com/public/openapi.json API endpoint for GET /user/api_calls ```markdown ### Responses #### 200 - Successful Response **UserApiCallsResponse** ### Example Usage ```bash curl -X GET "/public/user/api_calls" ``` ``` -------------------------------- ### GET /user/portfolio Source: https://apiv2.atlas-reanalytics.com/public/openapi.json API endpoint for GET /user/portfolio ```markdown ### Parameters - **limit** (integer, query, optional) - **offset** (integer, query, optional) ### Responses #### 200 - Successful Response **app__schemas__user_schemas__DataOut** - **data** (array (Portfolio)) (required) Array items: - **id** (integer) - **address** (string) - **property_type** (string (house|flat)) ("house"|"flat") - **construction_type** (integer) ("0"|"1") - **area** (integer) (required) - **bedrooms** (integer) (required) - **bathrooms** (integer) (required) - **garage** (boolean) (required) - **lift** (boolean) (required) - **storage** (boolean) (required) - **terrace** (boolean) (required) - **air_conditioned** (boolean) (required) - **pool** (boolean) (required) - **garden** (boolean) (required) - **sports** (boolean) (required) - **conservation** (integer) ("2"|"3"|"4"|"5") - **price_buy** (number) - **latitude** (number) (required) - **longitude** (number) (required) - **postal_code** (string) - **price_rent** (number) - **valued** (boolean) - **user** (object) - **name** (string) (required) - **lastname** (string) (required) - **email** (string) (required) - **valuation_date** (string (date-time)) - **total** (integer) (required) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (string)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "/public/user/portfolio?limit=20&offset=0" ``` ``` -------------------------------- ### POST /comparable/retail/data Source: https://apiv2.atlas-reanalytics.com/public/openapi.json Get comparable data for the provided inputs. - `aggregation`: The aggregation level for the data. Defaults to "postal_code". - `input`: The input data for which to obtain the comparable data. - `operation`: The operation type. Defaults to "buy". - `new_construction`: The new construction filter. Defaults to [0, 1]. - `date_range`: The date range for which to obtain the comparable data. - `price_range`: The price range for which to obtain the comparable data. - `size_range`: The surface range for which to obtain the comparable data. - `geo_point_radius`: The radius for the geo point aggregation. Defaults to 500. - `limit`: The limit for the number of results. Defaults to 10. - `offset`: The offset for the results. Defaults to 0. This endpoint returns retail comparable data for the provided inputs. ### Authorization Ensure that the current user is authorized to access this endpoint. ```markdown ### Request Body **Content-Type:** application/json - **limit** (integer) - **offset** (integer) - **aggregation** (string (postal_code|polygon|geo_point|municipality|province)) ("postal_code"|"polygon"|"geo_point"|"municipality"|"province") - **input** (array (unknown)) - **operation** (string (buy|rent)) (required) ("buy"|"rent") - **date_range** (object): Date range for the API - **start_date** (string) - **end_date** (string) - **price_range** (object) (required): Price range for the API - **min_price** (integer) - **max_price** (integer) - **size_range** (object) (required): Size range for the API - **min_size** (integer) - **max_size** (integer) - **geo_point_radius** (integer) - **new_construction** (array (integer)) - **sort** (object) - **sort_by** (string (price|price_m2|size|estimated_price_rent)) (required) ("price"|"price_m2"|"size"|"estimated_price_rent") - **sort_order** (string (asc|desc)) (required) ("asc"|"desc") ### Responses #### 200 - Successful Response #### 401 - Unauthorized #### 403 - Forbidden #### 404 - Not found #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (string)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X POST "/public/comparable/retail/data" \ -H "Content-Type: application/json" \ -d '{ "limit": 20, "offset": 0, "aggregation": "postal_code", "input": [ "28012" ], "operation": "buy", "date_range": { "start_date": "2024-02-07T06:21:36", "end_date": "2026-02-07T06:21:36" }, "price_range": { "min_price": 0, "max_price": 6000000 }, "size_range": { "min_size": 0, "max_size": 500 }, "geo_point_radius": 500, "new_construction": [ 0, 1 ] }' ``` ``` -------------------------------- ### POST /comparable/assets/data Source: https://apiv2.atlas-reanalytics.com/public/openapi.json Get comparable data for the provided inputs. - `asset_class`: The asset class for which to obtain the comparable data. Defaults to "residentials". Can be "garages", "storages", "buildings", "offices", "retail", "industrial", "landplots" or "residentials". - `aggregation`: The aggregation level for the data. Defaults to "postal_code". - `input`: The input data for which to obtain the comparable data. - `operation`: The operation type. Defaults to "buy". - `property_type`: Optional; The property type. Defaults to None. - `new_construction`: The new construction filter. Defaults to None. - `date_range`: The date range for which to obtain the comparable data. - `price_range`: The price range for which to obtain the comparable data. - `size_range`: The surface range for which to obtain the comparable data. - `geo_point_radius`: The radius for the geo point aggregation. Defaults to 500. - `bedrooms`: Optional; the number of bedrooms for which to obtain the comparable data. - `bathrooms`: Optional; The number of bathrooms for which to obtain the comparable data. - `features`: Optional; The features for which to obtain the comparable data. - `limit`: The limit for the number of results. Defaults to 10. - `offset`: The offset for the results. Defaults to 0. - `list_ids`: Optional; The list of IDs for which to obtain the comparable data. - `illegally_occupied`: Optional; The illegally occupied filter. This endpoint returns comparable data for the provided inputs. ### Authorization Ensure that the current user is authorized to access this endpoint. ```markdown ### Request Body **Content-Type:** application/json - **aggregation** (string (postal_code|polygon|geo_point|municipality|province)) (required) ("postal_code"|"polygon"|"geo_point"|"municipality"|"province") - **input** (array (unknown)) (required) - **operation** (string (buy|rent)) (required) ("buy"|"rent") - **date_range** (object): Date range for the API - **start_date** (string) - **end_date** (string) - **price_range** (object) (required): Price range for the API - **min_price** (integer) - **max_price** (integer) - **size_range** (object) (required): Size range for the API - **min_size** (integer) - **max_size** (integer) - **geo_point_radius** (integer) - **property_type** (string (flat|house|premises|industrial)) ("flat"|"house"|"premises"|"industrial") - **new_construction** (array (integer)) - **bedrooms** (array (integer)) - **bathrooms** (array (integer)) - **features** (array (string (attic|duplex|garage|swimming_pool|storage|terrace|garden|sports|air_conditioning|doorman|equipped_kitchen|furnished|lift|bare_ownership|not_bare_ownership))) - **illegally_occupied** (boolean) - **limit** (integer) - **offset** (integer) - **list_ids** (array (string)) - **asset_class** (string (garages|storages|buildings|offices|retail|industrial|landplots|residentials)) ("garages"|"storages"|"buildings"|"offices"|"retail"|"industrial"|"landplots"|"residentials") ### Responses #### 200 - Successful Response #### 401 - Unauthorized #### 403 - Forbidden #### 404 - Not found #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (string)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X POST "/public/comparable/assets/data" \ -H "Content-Type: application/json" \ -d '{ "asset_class": "residentials", "aggregation": "postal_code", "input": [ "19001" ], "operation": "buy", "price_range": { "min_price": 0, "max_price": 6000000 }, "size_range": { "min_size": 0, "max_size": 500 }, "property_type": "flat", "new_construction": [ 0, 1 ], "bedrooms": [ 0, 1, 2, 3, 4 ], "bathrooms": [ 0, 1, 2, 3, 4 ], "limit": 10, "offset": 0 }' ``` ``` -------------------------------- ### GET /open_data/trends/demand Source: https://apiv2.atlas-reanalytics.com/public/openapi.json API endpoint for GET /open_data/trends/demand ```markdown ### Parameters - **metric** (string (time), query, optional) - **operation** (string (buy|rent), query, optional) - **municipality** (string (Madrid|Barcelona|Valencia|Sevilla|Bilbao), query, optional) ### Responses #### 200 - Successful Response **TrendTextOutput** - **data** (array (TrendOutput)) (required) Array items: - **date** (string) (required) - **value** (number) (required) - **text** (string) (required) - **text_en** (string) (required) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (string)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "/public/open_data/trends/demand?metric=time&operation=buy&municipality=Madrid" ``` ``` -------------------------------- ### POST /comparable/building/data Source: https://apiv2.atlas-reanalytics.com/public/openapi.json Get building comparable data for the provided inputs. - `aggregation`: The aggregation level for the data. Defaults to "postal_code". - `input`: The input data for which to obtain the comparable data. - `operation`: The operation type. Defaults to "buy". - `new_construction`: The new construction filter. Defaults to [0, 1]. - `date_range`: The date range for which to obtain the comparable data. - `price_range`: The price range for which to obtain the comparable data. - `size_range`: The surface range for which to obtain the comparable data. - `geo_point_radius`: The radius for the geo point aggregation. Defaults to 500. - `limit`: The limit for the number of results. Defaults to 10. - `offset`: The offset for the results. Defaults to 0. This endpoint returns building comparable data for the provided inputs. ### Authorization Ensure that the current user is authorized to access this endpoint. ```markdown ### Request Body **Content-Type:** application/json - **limit** (integer) - **offset** (integer) - **aggregation** (string (postal_code|polygon|geo_point|municipality|province)) ("postal_code"|"polygon"|"geo_point"|"municipality"|"province") - **input** (array (unknown)) - **operation** (string (buy|rent)) (required) ("buy"|"rent") - **date_range** (object): Date range for the API - **start_date** (string) - **end_date** (string) - **price_range** (object) (required): Price range for the API - **min_price** (integer) - **max_price** (integer) - **size_range** (object) (required): Size range for the API - **min_size** (integer) - **max_size** (integer) - **geo_point_radius** (integer) - **new_construction** (array (integer)) - **sort** (object) - **sort_by** (string (price|price_m2|size|estimated_price_rent)) (required) ("price"|"price_m2"|"size"|"estimated_price_rent") - **sort_order** (string (asc|desc)) (required) ("asc"|"desc") ### Responses #### 200 - Successful Response #### 401 - Unauthorized #### 403 - Forbidden #### 404 - Not found #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (string)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X POST "/public/comparable/building/data" \ -H "Content-Type: application/json" \ -d '{ "limit": 20, "offset": 0, "aggregation": "postal_code", "input": [ "28012" ], "operation": "buy", "date_range": { "start_date": "2024-02-07T06:21:36", "end_date": "2026-02-07T06:21:36" }, "price_range": { "min_price": 0, "max_price": 6000000 }, "size_range": { "min_size": 0, "max_size": 500 }, "geo_point_radius": 500, "new_construction": [ 0, 1 ] }' ``` ``` -------------------------------- ### GET /open_data/static/market Source: https://apiv2.atlas-reanalytics.com/public/openapi.json API endpoint for GET /open_data/static/market ```markdown ### Parameters - **metric** (string (bedrooms), query, optional) - **operation** (string (buy|rent), query, optional) - **municipality** (string (Madrid|Barcelona|Valencia|Sevilla|Bilbao), query, optional) ### Responses #### 200 - Successful Response **BedroomsSupplyTextOutput** - **data** (array (BedroomsSupplyOutput)) (required) Array items: - **bedrooms** (string) (required) - **supply** (integer) (required) - **text** (string) (required) - **text_en** (string) (required) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (string)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "/public/open_data/static/market?metric=bedrooms&operation=buy&municipality=Madrid" ``` ``` -------------------------------- ### POST /comparable/office/data Source: https://apiv2.atlas-reanalytics.com/public/openapi.json Get office comparable data for the provided inputs. - `aggregation`: The aggregation level for the data. Defaults to "postal_code". - `input`: The input data for which to obtain the comparable data. - `operation`: The operation type. Defaults to "buy". - `new_construction`: The new construction filter. Defaults to [0, 1]. - `date_range`: The date range for which to obtain the comparable data. - `price_range`: The price range for which to obtain the comparable data. - `size_range`: The surface range for which to obtain the comparable data. - `geo_point_radius`: The radius for the geo point aggregation. Defaults to 500. - `limit`: The limit for the number of results. Defaults to 10. - `offset`: The offset for the results. Defaults to 0. This endpoint returns office comparable data for the provided inputs. ### Authorization Ensure that the current user is authorized to access this endpoint. ```markdown ### Request Body **Content-Type:** application/json - **limit** (integer) - **offset** (integer) - **aggregation** (string (postal_code|polygon|geo_point|municipality|province)) ("postal_code"|"polygon"|"geo_point"|"municipality"|"province") - **input** (array (unknown)) - **operation** (string (buy|rent)) (required) ("buy"|"rent") - **date_range** (object): Date range for the API - **start_date** (string) - **end_date** (string) - **price_range** (object) (required): Price range for the API - **min_price** (integer) - **max_price** (integer) - **size_range** (object) (required): Size range for the API - **min_size** (integer) - **max_size** (integer) - **geo_point_radius** (integer) - **new_construction** (array (integer)) - **sort** (object) - **sort_by** (string (price|price_m2|size|estimated_price_rent)) (required) ("price"|"price_m2"|"size"|"estimated_price_rent") - **sort_order** (string (asc|desc)) (required) ("asc"|"desc") ### Responses #### 200 - Successful Response #### 401 - Unauthorized #### 403 - Forbidden #### 404 - Not found #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (string)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X POST "/public/comparable/office/data" \ -H "Content-Type: application/json" \ -d '{ "limit": 20, "offset": 0, "aggregation": "postal_code", "input": [ "28012" ], "operation": "buy", "date_range": { "start_date": "2024-02-07T06:21:36", "end_date": "2026-02-07T06:21:36" }, "price_range": { "min_price": 0, "max_price": 6000000 }, "size_range": { "min_size": 0, "max_size": 500 }, "geo_point_radius": 500, "new_construction": [ 0, 1 ] }' ``` ``` -------------------------------- ### GET /open_data/trends/market Source: https://apiv2.atlas-reanalytics.com/public/openapi.json API endpoint for GET /open_data/trends/market ```markdown ### Parameters - **metric** (string (price|yield|stock_ratio), query, optional) - **operation** (string (buy|rent), query, optional) - **municipality** (string (Madrid|Barcelona|Valencia|Sevilla|Bilbao), query, optional) ### Responses #### 200 - Successful Response **TrendTextOutput** - **data** (array (TrendOutput)) (required) Array items: - **date** (string) (required) - **value** (number) (required) - **text** (string) (required) - **text_en** (string) (required) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (string)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "/public/open_data/trends/market?metric=yield&operation=buy&municipality=Madrid" ``` ``` -------------------------------- ### GET /open_data/trends/demographics Source: https://apiv2.atlas-reanalytics.com/public/openapi.json API endpoint for GET /open_data/trends/demographics ```markdown ### Parameters - **metric** (string (unemployment), query, optional) - **municipality** (string (Madrid|Barcelona|Valencia|Sevilla|Bilbao), query, optional) ### Responses #### 200 - Successful Response **TrendTextOutput** - **data** (array (TrendOutput)) (required) Array items: - **date** (string) (required) - **value** (number) (required) - **text** (string) (required) - **text_en** (string) (required) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (string)) (required) - **msg** (string) (required) - **type** (string) (required) ### Example Usage ```bash curl -X GET "/public/open_data/trends/demographics?metric=unemployment&municipality=Madrid" ``` ```